link: release/24344
meta:
  added_date: 2024-06-07T13:31
  edited_date: 2024-06-07T13:40
  fetched_date: 2026-01-11T22:28
  ttl: 86400
  visitors: 56
name: Ikenfell
picture_full: https://media.vgm.io/releases/14/24341/24341-1717796004.jpg
picture_small: https://thumb-media.vgm.io/releases/14/24341/24341-1717796004.jpg
product_albums: []
release_albums: []
type: Game Release
vgmdb_link: https://vgmdb.net/db/release.php?id=24344
